import * as React from 'react';
import { BaseFieldProps } from 'redux-form';
declare namespace CheckboxesInput {
    interface Props extends BaseFieldProps {
        name: string;
        options: {
            classNames?: string;
            disabled?: boolean;
            hidden?: boolean;
            label?: string | JSX.Element;
            value: string;
        }[];
        label?: string | JSX.Element;
        disabled?: boolean;
        help?: string;
        containerClass?: string;
        inputClass?: string;
        collapseErrorSpace?: boolean;
        children?: React.ReactNode;
        key?: React.ReactText;
        ref?: React.Ref<CheckboxesInput>;
        component?: any;
        format?: any;
        normalize?: any;
        props?: any;
        parse?: any;
        validate?: any;
        warn?: any;
        withRef?: any;
    }
}
declare class CheckboxesInput extends React.Component<CheckboxesInput.Props> {
    constructor(props: CheckboxesInput.Props);
    render(): JSX.Element;
}
export default CheckboxesInput;
